---
updatedAt: 2025-09-15T08:54:46.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates an existing webhook by ID

The `display_fields` are only applicable to the `SmartGroupMobileDeviceMembershipChange` event. Accepted values (capitlization sensitive) are the same as those available from the GUI when making and Advanced Search. `display_field_additions` can be used in place of the `display_fields` element to append new fields to an existing webhook.

## Sample Request Body

Below is an example request body that can be used to update the display fields returned in a webhook response body whose event type is `SmartGroupMobileDeviceMembershipChange`. A default set of attributes are pre-configured when enabling this functionality and cannot be removed from the response. Accepted values (case sensitive) are the same as those available from the GUI when making an Advanced Search.

Beginning with Jamf Pro version 10.48.0, smart group membership change events include the `smart_group_id` field. This update adds API support to specify what group to monitor for changes, which already exists within the user interface.

```xml Sample Request Body
<webhook>
    <name>Sample</name>
    <enabled>true</enabled>
    <url>https://server.com</url>
    <content_type>application/json</content_type>
    <event>PatchSoftwareTitleUpdated</event>
    <connection_timeout>5</connection_timeout>
    <read_timeout>2</read_timeout>
    <authentication_type>NONE</authentication_type>
    <username/>
    <password/>
</webhook>
```
```xml Display Fields Example
<webhook>
    <enable_display_fields_for_group_object>true</enable_display_fields_for_group_object>
    <display_fields>
    	<display_field>
        <name>IP Address</name>
      </display_field>
    	<display_field>
        <name>Last Enrollment</name>
      </display_field>
    </display_fields>
</webhook>
```
```Text Smart Group Event
<webhook>
    <name>Sample</name>
    <enabled>true</enabled>
    <url>https://server.com</url>
    <content_type>application/json</content_type>
    <event>SmartGroupComputerMembershipChange</event>
    <connection_timeout>5</connection_timeout>
    <read_timeout>2</read_timeout>
    <authentication_type>BASIC</authentication_type>
    <username>Sample User</username>
    <password>SamplePassword</password>
    <smart_group_id>1</smart_group_id>
</webhook>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/webhooks/id/{id}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "webhooks"
        ],
        "summary": "Updates an existing webhook by ID",
        "operationId": "updateWebhookById",
        "description": "The `display_fields` are only applicable to the `SmartGroupMobileDeviceMembershipChange` event. Accepted values (capitlization sensitive) are the same as those available from the GUI when making and Advanced Search. `display_field_additions` can be used in place of the `display_fields` element to append new fields to an existing webhook.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```